function init(hero) {
    hero.setName("Raven/\u00A7d\u00A7lKNIGHTS\u00A7r");
    hero.setTier(9);

    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");

    hero.addPowers("knights:human_demon_hybrid");
    hero.addAttribute("PUNCH_DAMAGE", 10, 0);
    hero.addAttribute("JUMP_HEIGHT", 3.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 100, 0);
    hero.addAttribute("SPRINT_SPEED", 1.3, 1);
    hero.addAttribute("IMPACT_DAMAGE", 3.5, 1);
    hero.addAttribute("MAX_HEALTH", 10, 0)

    hero.addKeyBind("ENERGY_PROJECTION", "Azarath Metrion Zinthos", 1);
    hero.addKeyBind("TELEPORT", "Inter-Dimensional Travel", 2);
    hero.addKeyBind("SHADOWDOME", "Bis Pendrule Paran Sic Cortis Rex! [SHADOWDOME]", 3);
    hero.addKeyBind("SPELL_MENU", "Vasarix Zinthos Metrion Azarath! [SPELL MENU]", 4);

    hero.addKeyBind("TENTACLE_JAB", "Shadow Jab", 3);
    hero.addKeyBind("TENTACLE_GRAB", "Shadow Grab", 2);
    hero.addKeyBind("SIZE_MANIPULATION", "key.sizeManipulation", 4);
    hero.addKeyBind("TENTACLES", "Fear Manifestation", 5);

    hero.setKeyBindEnabled(isKeyBindEnabled);
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "SIZE_MANIPULATION":
        return entity.getData("fiskheroes:tentacles") != null;
    case "SPELL_MENU":
        return entity.getData("fiskheroes:tentacles") == null;
    case "TENTACLE_JAB":
        return entity.getData("fiskheroes:tentacles") != null;
    case "TENTACLE_GRAB":
        return entity.getData("fiskheroes:tentacles") != null;
    case "TENTACLE_STRIKE":
        return entity.getData("fiskheroes:tentacles") != null;
    case "TENTACLES":
        return !entity.getData("fiskheroes:shadowform");
    case "ENERGY_PROJECTION":
        return entity.getData("fiskheroes:tentacles") == null;
    case "TELEPORT":
        return entity.getData("fiskheroes:tentacles") == null;
    case "SHADOWDOME":
        return entity.getData("fiskheroes:tentacles") == null;
    default:
        return true;
    }
}
function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}